## ros-galactic-fmi-adapter 2.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(fmi_adapter)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(rcl_interfaces REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rclcpp_components REQUIRED)
find_package(rclcpp_lifecycle REQUIRED)
find_package(rcutils REQUIRED)
find_package(std_msgs REQUIRED)
find_package(fmilibrary_vendor REQUIRED)

if("${rclcpp_VERSION}" VERSION_LESS "3.0.0")
  message(STATUS "Found rclcpp version ${rclcpp_VERSION}, which belongs to Foxy or earlier.")
  add_definitions(-DUSE_OLD_PARAMETER_API_FROM_FOXY)
else()
  message(STATUS "Found rclcpp version ${rclcpp_VERSION}, which belongs to Galactic or later.")
endif()

add_library(${PROJECT_NAME} SHARED
  src/${PROJECT_NAME}/FMIAdapter.cpp
  src/${PROJECT_NAME}/FMIAdapterNode.cpp
)

target_include_directories(${PROJECT_NAME}
  PUBLIC $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include> $<INSTALL_INTERFACE:include>
  PRIVATE $<BUILD_INTERFACE:${FMILibraryProject_INCLUDE_DIR}>)
ament_target_dependencies(${PROJECT_NAME}
  "rcl_interfaces"
  "rclcpp"
  "rclcpp_components"
  "rclcpp_lifecycle"
  "std_msgs"
  "fmilibrary_vendor"
)
target_link_libraries(${PROJECT_NAME} dl)
install(DIRECTORY include/ DESTINATION include)
install(TARGETS ${PROJECT_NAME} DESTINATION lib)
rclcpp_components_register_nodes(${PROJECT_NAME} "fmi_adapter::FMIAdapterNode")

add_executable(${PROJECT_NAME}_node src/${PROJECT_NAME}_node.cpp)
target_link_libraries(${PROJECT_NAME}_node ${PROJECT_NAME})
install(TARGETS ${PROJECT_NAME}_node DESTINATION lib/${PROJECT_NAME})

install(DIRECTORY launch DESTINATION share/${PROJECT_NAME}/)

if(BUILD_TESTING)
  find_package(ament_cmake_gtest REQUIRED)
  ament_add_gtest(${PROJECT_NAME}_test
    test/${PROJECT_NAME}/FMIAdapterTest.cpp
    ENV test_fmus_path=${CMAKE_CURRENT_SOURCE_DIR}/test/fmu/
  )
  target_include_directories(${PROJECT_NAME}_test PRIVATE include)
  target_link_libraries(${PROJECT_NAME}_test ${PROJECT_NAME})
  ament_target_dependencies(${PROJECT_NAME}_test
    "rclcpp"
    "rclcpp_lifecycle"
    "rcutils"
    "std_msgs"
  )

  find_package(ament_lint_auto REQUIRED)
  set(ament_cmake_copyright_FOUND TRUE)  # No copyright header check since link to NOTICE file is not recognized properly.
  set(ament_cmake_cppcheck_FOUND TRUE)  # Cpplint fails at TEST macro of Googletest.
  ament_lint_auto_find_test_dependencies()
endif()

ament_export_include_directories(include)
ament_export_libraries(${PROJECT_NAME})
ament_export_dependencies(rclcpp)
ament_export_dependencies(rclcpp_lifecycle)
ament_export_dependencies(std_msgs)
ament_package()

=== debian/changelog ===
ros-galactic-fmi-adapter (2.1.1-1focal) focal; urgency=high

  * Adapted to statically typed parameters introduced in Galactic.

 -- Ralph Lange <ralph.lange@de.bosch.com>  Thu, 10 Jun 2021 22:00:00 -0000

ros-galactic-fmi-adapter (2.1.0-1focal) focal; urgency=high

  * Adapted launch files to API changes.

 -- Ralph Lange <ralph.lange@de.bosch.com>  Tue, 23 Mar 2021 23:00:00 -0000

ros-galactic-fmi-adapter (2.0.0-1focal) focal; urgency=high

  * Added function 'getValue' to return value of any given variable name
    Co-authored-by: Sebastian Zarnack <mailto:sebastian.zarnack@eas.iis.fraunhofer.de>
  * Improved readability of unit tests by chrono literals.
  * Replaced use of deprecated Duration ctor.
  * Added virtual to lifecycle callbacks, as in interface.

 -- Ralph Lange <ralph.lange@de.bosch.com>  Tue, 23 Mar 2021 23:00:00 -0000

ros-galactic-fmi-adapter (0.1.8-1focal) focal; urgency=high

  * Prepared for Foxy release.

 -- Ralph Lange <ralph.lange@de.bosch.com>  Wed, 13 May 2020 22:00:00 -0000

ros-galactic-fmi-adapter (0.1.7-1focal) focal; urgency=high

  * Fixed sporadic exception in case of small external steps.
  * Fixed fmuLocation argument for fmi2_import_instantiate.

 -- Ralph Lange <ralph.lange@de.bosch.com>  Wed, 29 Jan 2020 23:00:00 -0000

ros-galactic-fmi-adapter (0.1.6-1focal) focal; urgency=high

  * Release for ROS 2 Eloquent.
  * Changed build files for use of fmilibrary_vendor package.

 -- Ralph Lange <ralph.lange@de.bosch.com>  Mon, 04 Nov 2019 23:00:00 -0000

ros-galactic-fmi-adapter (0.1.5-1focal) focal; urgency=high

  * Adapted to new Dashing features, including QoS, parameter declaration and node composition.

 -- Ralph Lange <ralph.lange@de.bosch.com>  Thu, 23 May 2019 22:00:00 -0000

ros-galactic-fmi-adapter (0.1.4-1focal) focal; urgency=high

  * Fixed link to FMU-SDK.

 -- Ralph Lange <ralph.lange@de.bosch.com>  Wed, 22 May 2019 22:00:00 -0000

ros-galactic-fmi-adapter (0.1.3-1focal) focal; urgency=high

  * Fixed install target location of shared library.
  * Improved code snippets on use of FMIAdapter class in README.

 -- Ralph Lange <ralph.lange@de.bosch.com>  Thu, 31 Jan 2019 23:00:00 -0000

ros-galactic-fmi-adapter (0.1.2-1focal) focal; urgency=high

  * Cleaned up dependency entries in package.xml.
  * Added explicit target dependencies for parallel building.

 -- Ralph Lange <ralph.lange@de.bosch.com>  Thu, 24 Jan 2019 23:00:00 -0000

ros-galactic-fmi-adapter (0.1.1-1focal) focal; urgency=high

  * Fixed missing testing and launch dependencies.

 -- Ralph Lange <ralph.lange@de.bosch.com>  Tue, 22 Jan 2019 23:00:00 -0000

ros-galactic-fmi-adapter (0.1.0-1focal) focal; urgency=high

  * Initial version for ROS 2, ported from https://github.com/boschresearch/fmi_adapter/

 -- Ralph Lange <ralph.lange@de.bosch.com>  Thu, 17 Jan 2019 23:00:00 -0000

=== debian/control ===
Source: ros-galactic-fmi-adapter
Section: misc
Priority: optional
Maintainer: Ralph Lange <ralph.lange@de.bosch.com>
Build-Depends: debhelper (>= 9.0.0), ros-galactic-ament-cmake, ros-galactic-ament-cmake-gmock, ros-galactic-ament-cmake-gtest, ros-galactic-ament-cmake-pytest, ros-galactic-ament-lint-auto, ros-galactic-ament-lint-common, ros-galactic-fmilibrary-vendor, ros-galactic-launch-testing, ros-galactic-rcl-interfaces, ros-galactic-rclcpp, ros-galactic-rclcpp-components, ros-galactic-rclcpp-lifecycle, ros-galactic-rcutils, ros-galactic-std-msgs, ros-galactic-ros-workspace
Homepage: http://wiki.ros.org/fmi_adapter
Standards-Version: 3.9.2

Package: ros-galactic-fmi-adapter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-galactic-launch, ros-galactic-launch-ros, ros-galactic-rcl-interfaces, ros-galactic-rclcpp, ros-galactic-rclcpp-components, ros-galactic-rclcpp-lifecycle, ros-galactic-std-msgs, ros-galactic-ros-workspace
Description: Wraps FMUs for co-simulation

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/galactic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/galactic" \
		-DAMENT_PREFIX_PATH="/opt/ros/galactic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/galactic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-galactic-fmi-adapter//opt/ros/galactic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_install
